Std Groupe

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Group and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎한국어
Arrow-left.svg Page précédente : Std Part.svg Part
Page suivante : Créer un lien Std LinkMake.svg Arrow-right.svg

Std Group.svg Std Groupe

Emplacement du menu
Vue arborescente → Clic droit sur le nom du document → Créer un groupe...
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Std Part, Draft Sélection groupée, Draft Ajouter au groupe

Description

Std Groupe (appelé en interne App DocumentObjectGroup) est un conteneur à usage général qui vous permet de regrouper différents types d'objets dans la Vue en arborescence, quel que soit leur type de données. Il est utilisé comme un simple dossier pour classer et organiser les objets dans votre modèle afin de conserver une structure logique. Les Std Groupes peuvent être imbriqués dans d'autres Std Groupes.

L'outil Std Groupe n'est pas défini par un atelier particulier mais par le système de base ; il se trouve donc dans la barre d'outils de structure qui est disponible dans tous les Ateliers.

Pour regrouper des objets 3D en une seule unité, avec l'intention de créer des assemblages, utilisez plutôt Std Part.

Std Group example.png

Divers éléments à l'intérieur des Std Groupes dans la vue en arborescence.

Utilisation

  1. Effectuez l'une des opérations suivantes :
    • Cliquez avec le bouton droit de la souris sur le nom du document dans la Vue en arborescence et dans le menu contextuel, choisissez Créer un groupe....
    • Appuyez sur le Std Group.svg Créer un groupe.
  2. Un groupe vide est créé.
  3. Pour ajouter des objets au groupe, sélectionnez-les dans la Vue en arborescence, et faites-les glisser et déposez-les dans le groupe.
  4. Pour supprimer des objets du groupe, faites-les glisser hors du groupe et déposez-les sur l'étiquette du document en haut de l'arborescence.
  5. Vous pouvez également ajouter et supprimer des objets en modifiant la propriété DonnéesGroup du groupe.

Propriétés

Std Groupe, appelé en interne App DocumentObjectGroup (classe App::DocumentObjectGroup), est dérivé de l'objet de base App DocumentObject (classe App::DocumentObject) et hérite de toutes ses propriétés.

Std Groupe a les mêmes propriétés que App FeaturePython, qui est l'instance la plus basique d'un App DocumentObject. Il possède également les propriétés supplémentaires suivantes dans l'éditeur de propriétés de l'Éditeur de propriétés. Les propriétés cachées peuvent être affichées à l'aide de la commande Show all du menu contextuel de l'Éditeur de propriétés.

Données

Base

  • DonnéesGroup (LinkList) : liste d'objets référencés. Par défaut vide [].
  • Données (Hidden)_ Group Touched (Bool) : indique si le groupe est touché ou non.

Script

Voir aussi : Débuter avec les scripts et Objets créés par script.

Voir Part Feature pour les informations générales sur l'ajout d'objets au document.

Std Groupe (App DocumentObjectGroup) est créé avec la méthode addObject() du document. Une fois qu'un groupe existe, d'autres objets peuvent y être ajoutés avec les méthodes addObject() ou addObjects().

import FreeCAD as App

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()

App::DocumentObjectGroup de base n'a pas d'objet Proxy, il ne peut donc pas être entièrement utilisé pour la sous-classification.

Pour la sous-classification de Python, vous devez créer l'objet App::DocumentObjectGroupPython.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

Par exemple, Analyse FEM est un objet App::DocumentObjectGroupPython avec une icône personnalisée et des propriétés supplémentaires.

Liens


Arrow-left.svg Page précédente : Std Part.svg Part
Page suivante : Créer un lien Std LinkMake.svg Arrow-right.svg